Dependency conflict with "javax.el" in "pax-cdi-web-weld"

Description

Steps to reproduce:

1. Run clean instance of Karaf 3.x.x
2. Then run in console:

Installation looks fine, but when I shutdown Karaf and run it again, "pax-cdi-web-weld" does not start:

To fix that issue I was forced to remove bundle 'Expression Language' by hand. Is it expected?

Environment

Ubuntu 14.10 64-bit , Java 1.8 Oracle

Activity

Show:
Harald Wellmann
April 14, 2015, 8:02 PM

This is caused by pax-web-jsp embedding javax.el instead of importing it. There's not much we can do about that in Pax CDI.

Assignee

Harald Wellmann

Reporter

Krystian Panek

Labels

Affects versions

Priority

Major
Configure